Subject: bug#13424: Mac OSX - font rendering in Emacs 24.3 looks like bitmaps

From: Jan Djärv <[email-masked]>
Date: Mon, 14 Jan 2013 10:41:47 +0100

Hello.

The emacs-24 branch (and soon the trunk) has smoothing on again. 

    Jan D.

14 jan 2013 kl. 00:37 skrev Sudhir Shenoy <[email-masked]>:

> On Jan 13, 2013, at 10:36 PM, Jan Djärv <[email-masked]> wrote:
> 
>> 
>> I assume you mean something else than "24.3 and 24.3"?  There is no "trunk of 24.3", it is just the trunk or the emacs-24 branch or a released version.  Not sure what versions you mean here.
> 
> Sorry for my poor reporting - it was trunk vs. 24.2
> 
>> 
>> Anyway, both your versions are antialiased as is plainly seen if you zoom in on a character so you see the individual pixels.  I suspect one of them is not LCD-smoothed though.  See bug 11484 (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11484).
>> 
>> If another workaround for that bug can be found, smoothing will be turned back on.
>> 
>> Closing, as this is not a bug.
> 
> 
> You're correct - I should have said LCD smoothing and not anti-aliasing. I read the description of 11484 and now understand why smoothing was turned off. However, now Emacs is quite unpleasant to the eyes and quite unusable on a Macbook IMHO. Perhaps the cure is worse than the disease? 
> 
> Thanks
> Sudhir